Bug 248590 - [fixed in 2.2.1] a11y crash in help launched from spreadsheet
[fixed in 2.2.1] a11y crash in help launched from spreadsheet
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 12:54 EDT by Bob Demoret
Modified: 2008-05-21 13:48 EDT (History)
0 users

See Also:
Fixed In Version: RHEL-5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:48:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Demoret 2007-07-17 12:54:52 EDT
Description of problem:
Video Driver is probably: nv
Desktop is: GNOME
libgcj version is: libgcj-4.1.0-3
kernel is: Linux 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686 i686 i386
OpenOffice.org core rpm version is: openoffice.org-core-2.0.2-5.2.2
accessibility is: true
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 20
Policy from config file:        targeted
...end sestatus details ...
0x60ee680: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e680
0x60eeec0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1eec0
0x79a420:  + 0x420 (__kernel_sigreturn + 0x0)
0x3eb5ce: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x285ce
(_ZN11AtkListener24handleInvalidateChildrenERKN3com3sun4star3uno9ReferenceINS2_13accessibility18XAccessibleContextEEE
+ 0x40)
0x3ebb70: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28b70
(_ZN11AtkListener11notifyEventERKN3com3sun4star13accessibility21AccessibleEventObjectE
+ 0x148)
0x64b7993: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x5f993
(_ZN10comphelper23AccessibleEventNotifier8addEventEmRKN3com3sun4star13accessibility21AccessibleEventObjectE
+ 0xa9)
0x64aa698: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x52698
(_ZN10comphelper24OAccessibleContextHelper21NotifyAccessibleEventEsRKN3com3sun4star3uno3AnyES7_
+ 0x7a)
0x782f6aa: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x986aa
0x782ed91: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x97d91
0x782375e: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x8c75e
0x7826b7a: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x8fb7a
0x7827828: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x90828
(_ZN23VCLXAccessibleComponent19WindowEventListenerEP14VclSimpleEvent + 0x58)
0x782784e: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x9084e
(_ZN23VCLXAccessibleComponent27LinkStubWindowEventListenerEPvS0_ + 0x1a)
0x67f82f6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x832f6
0x68063aa: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x913aa
(_ZNK17VclEventListeners4CallEP14VclSimpleEvent + 0x28)
0x6935365: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c0365
(_ZN6Window18CallEventListenersEmPv + 0x69)
0x6953421: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1de421
(_ZN8ComboBox11InsertEntryERK6Stringt + 0x55)
0x703e02f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xf302f
0x703e763: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xf3763
0x703e79e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xf379e
0x67f82f6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x832f6
0x6803cbe: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ecbe
(_ZN5Timer7TimeoutEv + 0x10)
0x6803e58: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ee58
0xf3642f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3c42f
0xf36268: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3c268
(_ZNK7SalData7TimeoutEv + 0x24)
0x3d7709: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14709
0x1267b6: /usr/lib/libglib-2.0.so.0 + 0x257b6
0x12609d: /usr/lib/libglib-2.0.so.0 + 0x2509d (g_main_context_dispatch + 0x16d)
0x12932f: /usr/lib/libglib-2.0.so.0 + 0x2832f
0x129895: /usr/lib/libglib-2.0.so.0 + 0x28895 (g_main_context_iteration + 0x65)
0x3d7771: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14771
0xf3d21d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4321d
(_ZN14X11SalInstance5YieldEh + 0x27)
0x67ff866: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a866
(_ZN11Application5YieldEv + 0x48)
0x67ff8ea: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a8ea
(_ZN11Application7ExecuteEv + 0x26)
0x7bcd0bb: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x280bb
(_ZN7desktop7Desktop4MainEv + 0x15af)
0x6803956: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e956
0x6803a09: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ea09
(_Z6SVMainv + 0x2b)
0x7bc5bf3: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20bf3 (sal_main
+ 0x57)
0x7bc5c3f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20c3f (main + 0x27)
0xc4a7e4: /lib/libc.so.6 + 0x157e4 (__libc_start_main + 0xdc)
0x80484d1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4d1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2007-07-18 07:19:22 EDT
well, turn off accessibility to probably work around this problem. 

But none of the requested information is entered here :-( Is it reproducible, if
so how do I reproduce this.
Comment 2 Bob Demoret 2007-07-18 13:36:48 EDT
This problem occurs every time I try to use Office Spreadsheet help. Initially
when I clicked on Help I got the help index. then when I clicked on the first
item "How to use Office.com *" I got the screen saying "000o crashed" and the
info I pasted to my bug report above. Now after I click on  Help I see the index
page but immediately get the 00o crash page.
Comment 3 Caolan McNamara 2007-07-18 16:05:33 EDT
As a work around, if you do not need accessibility, try disabling it, logging
out and logging in. Should be somewhere like 
system->preferences->Personal->Assistive Technology
Comment 4 Caolan McNamara 2007-07-24 09:11:33 EDT
*seems* to be fixed in 2.2.1
Comment 5 Caolan McNamara 2008-05-21 13:48:03 EDT
RHEL-5.2 includes 2.3.0 which has this fix in it.

For more information on where to find the updated files, please follow the link
below. You may reopen this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0403.html

Note You need to log in before you can comment on or make changes to this bug.